Get Component Version Drift

Get Component Version Drift
Get version drift for a component

Get version drift for a component

Request
URI
GET
https://{api_host}/v1/version-drift
COPY
Query Parameters
string
componentType
Required

Component for which you want to get the version drift statusOne among: DOMAIN, VCENTER, CLUSTER, HOST, NSX_T_MANAGER, SDDC_MANAGER

string
componentId
Required

Resource ID of the component

componentId example
9ab78840-ee25-11e8-a8fc-d71c338107bd
string
componentName
Optional

Filter by: component name (partial match, case-insensitive). Optional

string
publicName
Optional

Filter by: component public name (partial match, case-insensitive). Optional

string
currentVersion
Optional

Filter by: current version (partial match, case-insensitive). Optional

string
targetVersion
Optional

Filter by: target version (partial match, case-insensitive). Optional

string
componentVersionStatus
Optional

Filter by: Component version status enum value (partial match, case-insensitive).One among: ON_TARGET, VERSION_DRIFT Optional

string
statusText
Optional

Filter by: localized status text (partial match, case-insensitive). Use this to filter on the display text shown in the UI (e.g., 'On Target'). Optional

string
sort
Optional
Constraints: default: currentVersion

Optional sort to apply to result. List can contain values among: componentName, currentVersion, targetVersion, componentVersionStatus, statusText. Multiple values supported (comma-separated) or multiple occurrences for different sort directions (asc/desc). Example: sort=currentVersion,desc

integer
page
Optional
Constraints: default: 0

Page number (0-based index)

integer
size
Optional
Constraints: default: 20

Number of records per page


Responses
200

Ok

Returns PageOfComponent of type(s) application/json
{
    "elements": [
        {
            "componentType": "One among: DOMAIN, VCENTER, ESX_CLUSTER, ESX_HOST, NSX_T_MANAGER, SDDC_MANAGER_VCF",
            "componentId": "string",
            "componentName": "string",
            "publicName": "string",
            "currentVersion": "string",
            "targetVersion": "string",
            "componentVersionStatus": {
                "value": "string",
                "statusText": "string"
            },
            "mixedVersions": false,
            "hasChildren": false,
            "subComponents": [
                {
                    "componentType": "One among: DOMAIN, VCENTER, ESX_CLUSTER, ESX_HOST, NSX_T_MANAGER, SDDC_MANAGER_VCF",
                    "componentId": "string",
                    "componentName": "string",
                    "publicName": "string",
                    "currentVersion": "string",
                    "targetVersion": "string",
                    "componentVersionStatus": {
                        "value": "string",
                        "statusText": "string"
                    },
                    "mixedVersions": false,
                    "hasChildren": false,
                    "subComponents": [
                        "ComponentVersion Object"
                    ]
                }
            ]
        }
    ],
    "pageMetadata": {
        "pageNumber": 0,
        "pageSize": 0,
        "totalElements": 0,
        "totalPages": 0
    }
}
array of object
elements
Optional

The list of elements included in this page

object
pageMetadata
Optional

Represents pageable elements pagination metadata


400

Bad Request

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


500

Internal server error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/version-drift?componentType=value&componentId=v